Subject: Re: bug#12123:

From: Glenn Morris <[email-masked]>
Date: Sun, 07 Apr 2013 14:32:51 -0400

Eli Zaretskii wrote:

>> > Then perhaps we could just borrow the ideas from progreloc.c.
>> 
>> That sounds like more work than using the Gnulib module,
>> I expect.
>
> Not necessarily.  progreloc.c is relatively short, and is really just
> a series of platform-dependent methods to find the absolute file name
> of the running program.  The MS-Windows method used there is already
> being used in Emacs, and most of the infrastructure for relocating a
> directory is already in place.

I must be missing something, because AFAICS, invocation-directory has
already solved this problem. What cases are not already handled that are
relevant and need extra code adding from progreloc.c?